Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator.csv
Class AddCSVMessageScript

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.validator.csv.AddCSVMessageScript

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class AddCSVMessageScript

extends org.ajax4jsf.javascript.ScriptStringBase
implements org.ajax4jsf.javascript.ScriptString

Renders script for adding new CSV message type with given ID, derived from provided FacesMessage This script can be then included by `JavaScriptService` to the page.

Author:
  Lukas Fryc

Field Summary

Fields inherited from class org.ajax4jsf.javascript.ScriptStringBase
`COLON, COMMA, DOT, EMPTY_STRING, EQUALS, FUNCTION, LEFT_CURLY_BRACKET, LEFT_ROUND_BRACKET, LEFT_SQUARE_BRACKET, RIGHT_CURLY_BRACKET, RIGHT_ROUND_BRACKET, RIGHT_SQUARE_BRACKET`

Constructor Summary
`AddCSVMessageScript(String messageId, javax.faces.application.FacesMessage facesMessage)`

Method Summary
`void` | `appendScript(Appendable target)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`appendScriptToStringBuilder, toScript, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.javascript.ScriptString
`appendScriptToStringBuilder, toScript`

Constructor Detail

### AddCSVMessageScript

    public AddCSVMessageScript(String messageId,
                               javax.faces.application.FacesMessage facesMessage)

Method Detail

### appendScript

    public void appendScript(Appendable target)
                      throws IOException

  Specified by:
    `appendScript` in interface `org.ajax4jsf.javascript.ScriptString`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.